GEM v1.21 released

GEM v1.21 released

by syn on 20-11-2014, 15:27
Topic: Software
Languages:

Just a few weeks after its 14th anniversary, a new version of GEM has been released. Among other updates, the big change in this version is the complete rewrite of the video renderer, which results in improved scrolling and sprite handling.

GEM is a Gameboy emulator for MSX by GuyveR800 of TNI. The minimum requirements are an MSX2 with 256KB RAM, MSX-DOS2 and a GFX9000 (or compatible) cartridge, although a Turbo R with SCC and 4MB Memory Mapper (and ofcourse GFX9000) is recommended.

Like the screenshot mentions, donations to support this project are highly appreciated and can be done by sending money to paypal@tni.nl.

Relevant Link: GEM v1.21

Media browser (7)

  • GEM v1.21 released
  • GEM v1.21 released
  • GEM v1.21 released
  • GEM v1.21 released
  • GEM v1.21 released
  • GEM v1.21 released
  • GEM v1.21 released

Comments (13)

By msd

Paragon (1372)

msd's picture

21-11-2014, 11:27

Cool. I'll give it a try soon.

By giuseve

Paladin (732)

giuseve's picture

23-11-2014, 08:27

wow. gfx9000. no chance for a classic v9958?
Maybe with 512k ram?
So many users would not be able tu run this if they do not have a gfx9000.

Fantastic job anyway

By Maggoo

Paragon (1194)

Maggoo's picture

23-11-2014, 08:32

How this would even work still boggles my mind! I wish I had a V9990 to try it on... Great to see this great emulator still being developed tho!

By Grauw

Enlighted (8189)

Grauw's picture

23-11-2014, 12:28

Maggoo: Just in time compilation Smile.

By Manuel

Ascended (15528)

Manuel's picture

23-11-2014, 16:51

Maggoo: you can try on openMSX to get some idea.

By DrWh0

Paladin (752)

DrWh0's picture

26-11-2014, 22:36

giuseve wrote:

wow. gfx9000. no chance for a classic v9958?
Maybe with 512k ram?
So many users would not be able tu run this if they do not have a gfx9000.

Fantastic job anyway

There is available at the same page and old version compatible with V9958, only new versions require GFX9000

By iamweasel2

Hero (517)

iamweasel2's picture

29-11-2014, 16:23

It is not working here. I'm using openMSX 0.10.2. I tried with different configurations (with / without SCC, 4 mb) with GFX9000. Does the new version works with openMSX? Maybe I'm doing something wrong...

By Manuel

Ascended (15528)

Manuel's picture

29-11-2014, 17:00

You'll have to be a bit clearer on what you mean with 'not working'.

By iamweasel2

Hero (517)

iamweasel2's picture

29-11-2014, 17:04

Well, all I see is a white screen when I start gem with any rom. I'm also using dir as dsk option with DOS1. Tried with Castlevania, F1 Spirit and Legend Of Zelda.

By Manuel

Ascended (15528)

Manuel's picture

29-11-2014, 17:29

As discussed on IRC: it needs DOS2.

By iamweasel2

Hero (517)

iamweasel2's picture

29-11-2014, 17:32

It is working now. It seems it was a "user bug". I read the manual and missed the part where it said it needed DOS2, despite the fact that it is in the top of the file. Smile

By Moniz

Champion (340)

Moniz's picture

01-12-2014, 18:58

Could someone make a video? I'm wondering how it runs.
I'm only using real hardware and don't have all the hardware to check it myself...

thanx!

By Manuel

Ascended (15528)

Manuel's picture

01-12-2014, 22:10

You could still start up openMSX yourself and give it a spin. Make a video and everyone is happy Tongue